Get logbook
curl --request GET \
--url https://api.lumonol.co.uk/ankra/get-logbook \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/get-logbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/get-logbook"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_type": "Promotion",
"title": "Promotion",
"content": "Promoted for hard work.",
"amount": 1,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Logbook
Get logbook
Someone’s logbook, newest first.
GET
/
get-logbook
Get logbook
curl --request GET \
--url https://api.lumonol.co.uk/ankra/get-logbook \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/get-logbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/get-logbook"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_type": "Promotion",
"title": "Promotion",
"content": "Promoted for hard work.",
"amount": 1,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
The Roblox user ID of the person.

